de.esprit.appsuite.transl

## Enum TrEasField

- java.lang.Object
- - java.lang.Enum<TrEasField>
  - - de.esprit.appsuite.transl.TrEasField

- All Implemented Interfaces:
    NlsDatabaseKey, NlsKey, java.io.Serializable, java.lang.Comparable<TrEasField>

      public enum TrEasField
      extends java.lang.Enum<TrEasField>
      implements NlsDatabaseKey

  Translations for database-like input fields
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOUT$AUTHOR`
    `ABOUT$BUILD_NO`
    `ABOUT$RELEASED`
    `ABOUT$URL`
    `ABOUT$VERSION`
    `ARCHIVE$COMPRESSION_LEVEL`
    `CALENDAR$HOUR`
    `CALENDAR$MINUTE`
    `CALENDAR$MONTH`
    `CALENDAR$SECOND`
    `CALENDAR$YEAR`
    `DBCON$CREDFILE`
    `DBCON$DBURL`
    `DBCON$DRIVER`
    `DBCON$PASSWORD`
    `DBCON$SCHEMA`
    `DBCON$USER`
    `DBOCOMPILE$APPKEY`
    `DBOCOMPILE$AUTHOR`
    `DBOCOMPILE$COLTYPE_MAP`
    `DBOCOMPILE$TARGET_DIR`
    `DBOCOMPILE$TARGET_PKG`
    `DBRECORD$CLASS_NAME`
    `DIRECTORY`
    `DIRECTORY_NAME`
    `FIELDTYPE$BOOLEAN`
    `FIELDTYPE$BUTTON`
    `FIELDTYPE$CALDATE`
    `FIELDTYPE$CALDATE_LOC`
    `FIELDTYPE$CALTS`
    `FIELDTYPE$CHAR`
    `FIELDTYPE$CHAR_DISPLAY`
    `FIELDTYPE$COUNTRY`
    `FIELDTYPE$DATE`
    `FIELDTYPE$DIRECTORY`
    `FIELDTYPE$DOUBLE`
    `FIELDTYPE$DOUBLE_DISPLAY`
    `FIELDTYPE$DOUBLE_LOC`
    `FIELDTYPE$ENUM`
    `FIELDTYPE$FILE`
    `FIELDTYPE$FLOAT`
    `FIELDTYPE$INTEGER`
    `FIELDTYPE$LABEL`
    `FIELDTYPE$LANGUAGE`
    `FIELDTYPE$LONG`
    `FIELDTYPE$PASSWORD`
    `FIELDTYPE$RADIO_BUTTON`
    `FIELDTYPE$SLIDER`
    `FIELDTYPE$SPINNER`
    `FIELDTYPE$TIME`
    `FIELDTYPE$TIME_CUST`
    `FIELDTYPE$TIME_DURATION`
    `FIELDTYPE$TIMESPAN`
    `FIELDTYPE$TIMESTAMP`
    `FIELDTYPE$TRISTATE`
    `FIELDTYPE$VARCHAR`
    `FIELDTYPE$VARSCROLL`
    `FILE`
    `FILE_NAME`
    `INPUT$COUNTRY`
    `INPUT$GENDER`
    `INPUT$LANGUAGE`
    `LAUNCH$MAX_VM_MEMORY`
    `LOGGER$LOG_LEVEL`
    `PATH_NAME`
    `TIMEFILTER$WITHIN_LAST`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.String fullColumnName)` Ensures that this instance can directly be compared with a table.column name
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getColumnName()`
    `java.lang.String` | `getFullName()`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getTableName()`
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `java.lang.String` | `getTipText()`
    `static TrEasField` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEasField[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### CALENDAR$MONTH

          public static final TrEasField CALENDAR$MONTH

    - #### CALENDAR$YEAR

          public static final TrEasField CALENDAR$YEAR

    - #### CALENDAR$HOUR

          public static final TrEasField CALENDAR$HOUR

    - #### CALENDAR$MINUTE

          public static final TrEasField CALENDAR$MINUTE

    - #### CALENDAR$SECOND

          public static final TrEasField CALENDAR$SECOND

    - #### INPUT$COUNTRY

          public static final TrEasField INPUT$COUNTRY

    - #### INPUT$LANGUAGE

          public static final TrEasField INPUT$LANGUAGE

    - #### INPUT$GENDER

          public static final TrEasField INPUT$GENDER

    - #### LOGGER$LOG_LEVEL

          public static final TrEasField LOGGER$LOG_LEVEL

    - #### DBRECORD$CLASS_NAME

          public static final TrEasField DBRECORD$CLASS_NAME

    - #### FIELDTYPE$LABEL

          public static final TrEasField FIELDTYPE$LABEL

    - #### FIELDTYPE$CHAR_DISPLAY

          public static final TrEasField FIELDTYPE$CHAR_DISPLAY

    - #### FIELDTYPE$DOUBLE_DISPLAY

          public static final TrEasField FIELDTYPE$DOUBLE_DISPLAY

    - #### FIELDTYPE$INTEGER

          public static final TrEasField FIELDTYPE$INTEGER

    - #### FIELDTYPE$SPINNER

          public static final TrEasField FIELDTYPE$SPINNER

    - #### FIELDTYPE$LONG

          public static final TrEasField FIELDTYPE$LONG

    - #### FIELDTYPE$DOUBLE_LOC

          public static final TrEasField FIELDTYPE$DOUBLE_LOC

    - #### FIELDTYPE$DOUBLE

          public static final TrEasField FIELDTYPE$DOUBLE

    - #### FIELDTYPE$FLOAT

          public static final TrEasField FIELDTYPE$FLOAT

    - #### FIELDTYPE$CHAR

          public static final TrEasField FIELDTYPE$CHAR

    - #### FIELDTYPE$PASSWORD

          public static final TrEasField FIELDTYPE$PASSWORD

    - #### FIELDTYPE$TIME

          public static final TrEasField FIELDTYPE$TIME

    - #### FIELDTYPE$DATE

          public static final TrEasField FIELDTYPE$DATE

    - #### FIELDTYPE$TIME_CUST

          public static final TrEasField FIELDTYPE$TIME_CUST

    - #### FIELDTYPE$TIMESTAMP

          public static final TrEasField FIELDTYPE$TIMESTAMP

    - #### FIELDTYPE$TIME_DURATION

          public static final TrEasField FIELDTYPE$TIME_DURATION

    - #### FIELDTYPE$RADIO_BUTTON

          public static final TrEasField FIELDTYPE$RADIO_BUTTON

    - #### FIELDTYPE$SLIDER

          public static final TrEasField FIELDTYPE$SLIDER

    - #### FIELDTYPE$BUTTON

          public static final TrEasField FIELDTYPE$BUTTON

    - #### FIELDTYPE$CALDATE_LOC

          public static final TrEasField FIELDTYPE$CALDATE_LOC

    - #### FIELDTYPE$CALDATE

          public static final TrEasField FIELDTYPE$CALDATE

    - #### FIELDTYPE$CALTS

          public static final TrEasField FIELDTYPE$CALTS

    - #### FIELDTYPE$DIRECTORY

          public static final TrEasField FIELDTYPE$DIRECTORY

    - #### FIELDTYPE$FILE

          public static final TrEasField FIELDTYPE$FILE

    - #### FIELDTYPE$VARSCROLL

          public static final TrEasField FIELDTYPE$VARSCROLL

    - #### FIELDTYPE$VARCHAR

          public static final TrEasField FIELDTYPE$VARCHAR

    - #### FIELDTYPE$ENUM

          public static final TrEasField FIELDTYPE$ENUM

    - #### FIELDTYPE$TIMESPAN

          public static final TrEasField FIELDTYPE$TIMESPAN

    - #### FIELDTYPE$BOOLEAN

          public static final TrEasField FIELDTYPE$BOOLEAN

    - #### FIELDTYPE$TRISTATE

          public static final TrEasField FIELDTYPE$TRISTATE

    - #### FIELDTYPE$COUNTRY

          public static final TrEasField FIELDTYPE$COUNTRY

    - #### FIELDTYPE$LANGUAGE

          public static final TrEasField FIELDTYPE$LANGUAGE

    - #### DBOCOMPILE$TARGET_PKG

          public static final TrEasField DBOCOMPILE$TARGET_PKG

    - #### DBOCOMPILE$TARGET_DIR

          public static final TrEasField DBOCOMPILE$TARGET_DIR

    - #### DBOCOMPILE$COLTYPE_MAP

          public static final TrEasField DBOCOMPILE$COLTYPE_MAP

    - #### DBOCOMPILE$AUTHOR

          public static final TrEasField DBOCOMPILE$AUTHOR

    - #### DBOCOMPILE$APPKEY

          public static final TrEasField DBOCOMPILE$APPKEY

    - #### DBCON$DRIVER

          public static final TrEasField DBCON$DRIVER

    - #### DBCON$DBURL

          public static final TrEasField DBCON$DBURL

    - #### DBCON$USER

          public static final TrEasField DBCON$USER

    - #### DBCON$PASSWORD

          public static final TrEasField DBCON$PASSWORD

    - #### DBCON$SCHEMA

          public static final TrEasField DBCON$SCHEMA

    - #### DBCON$CREDFILE

          public static final TrEasField DBCON$CREDFILE

    - #### ABOUT$VERSION

          public static final TrEasField ABOUT$VERSION

    - #### ABOUT$RELEASED

          public static final TrEasField ABOUT$RELEASED

    - #### ABOUT$BUILD_NO

          public static final TrEasField ABOUT$BUILD_NO

    - #### ABOUT$AUTHOR

          public static final TrEasField ABOUT$AUTHOR

    - #### ABOUT$URL

          public static final TrEasField ABOUT$URL

    - #### TIMEFILTER$WITHIN_LAST

          public static final TrEasField TIMEFILTER$WITHIN_LAST

    - #### FILE_NAME

          public static final TrEasField FILE_NAME

    - #### DIRECTORY_NAME

          public static final TrEasField DIRECTORY_NAME

    - #### PATH_NAME

          public static final TrEasField PATH_NAME

    - #### FILE

          public static final TrEasField FILE

    - #### DIRECTORY

          public static final TrEasField DIRECTORY

    - #### ARCHIVE$COMPRESSION_LEVEL

          public static final TrEasField ARCHIVE$COMPRESSION_LEVEL

    - #### LAUNCH$MAX_VM_MEMORY

          public static final TrEasField LAUNCH$MAX_VM_MEMORY

  - ### Method Detail

    - #### values

          public static TrEasField[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEasField c : TrEasField.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEasField valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getTipText

          public java.lang.String getTipText()

      Specified by:
        `getTipText` in interface `NlsDatabaseKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

    - #### getTableName

          public java.lang.String getTableName()

      Specified by:
        `getTableName` in interface `NlsDatabaseKey`

    - #### getColumnName

          public java.lang.String getColumnName()

      Specified by:
        `getColumnName` in interface `NlsDatabaseKey`

    - #### getFullName

          public java.lang.String getFullName()

      Specified by:
        `getFullName` in interface `NlsDatabaseKey`

    - #### equals

          public boolean equals(java.lang.String fullColumnName)

      Description copied from interface: `NlsDatabaseKey`
      Ensures that this instance can directly be compared with a table.column name
      Specified by:
        `equals` in interface `NlsDatabaseKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.